import { compact } from '../../util/array.js';
import { _load } from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
export const isEnabled = ({ dependencies }) => {
    return dependencies.has('@nrwl/workspace');
};
export const CONFIG_FILE_PATTERNS = ['{apps,libs}/**/project.json'];
const findNxDependencies = async (configFilePath) => {
    const config = await _load(configFilePath);
    const { targets } = config;
    const executors = targets ? Object.values(targets).map(target => target?.executor) : [];
    return compact(executors.filter(executor => executor && !executor.startsWith('.')).map(executor => executor?.split(':')[0]));
};
export const findDependencies = timerify(findNxDependencies);
