import { load } from 'js-yaml';
import { timerify } from '../../util/performance.js';
export const isEnabled = ({ dependencies }) => dependencies.has('remark-cli');
export const CONFIG_FILE_PATTERNS = [
    'package.json',
    '.remarkrc',
    '.remarkrc.json',
    '.remarkrc.{js,cjs,mjs}',
    '.remarkrc.{yml,yaml}',
];
const findRemarkDependencies = async (configFilePath, { manifest }) => {
    const config = configFilePath.endsWith('package.json') ? manifest.remarkConfig : await load(configFilePath);
    const plugins = config?.plugins?.map(plugin => `remark-${plugin}`) ?? [];
    return [...plugins];
};
export const findDependencies = timerify(findRemarkDependencies);
